Description

Sometimes when we start the webservice the error below occours and we have to restart Servoy a couple of times to get it working
again.

This is the error:

HTTP Status 400 - com.servoy.j2db.ExitScriptException: killing current script, client/solution already terminated at
com.servoy.j2db.scripting.ServoyWrapFactory.wrap(ServoyWrapFactory.java:70) at
org.mozilla.javascript.Context.javaToJS(Context.java: 1838) at
net.stuff.servoy.plugin.velocityreport.server.VelocityWebServlet.getParametersMap(VelocityWebServlet.java: 1939) at
net.stuff.servoy.plugin.velocityreport.server.VelocityWebServlet.vrService(VelocityWebServlet.java:622) at
net.stuff.servoy.plugin.velocityreport.server.VelocityWebServlet.doGet(VelocityWebServlet.java:201) at
javax.servlet.http.HttpServlet.service(HttpServlet.java:618) at javax.servlet.http.HttpServlet.service(HttpServlet.java:725) at
com.servoy.j2db.server.servlets.WebServicesServlet.service(WebServicesServlet.java:44) at
javax.servlet.http.HttpServlet.service(HttpServlet.java:725) at
org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:230) at
org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java: 165) at
com.servoy.j2db.server.ngclient.startup.resourceprovider.ResourceProvider.doFilter(ResourceProvider.java:352) at
org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:192) at
org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:165) at
com.servoy.eclipse.designer.rfb.startup.EditorContentFilter.doFilter(EditorContentFilter.java:165) at
org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:192) at
org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:165) at
org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:52) at
org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:192) at
org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:165) at

org.tuckey.web filters.urlrewrite.RuleChain.handleRewrite(RuleChain.java:176) at
org.tuckey.web.filters.urlrewrite.RuleChain.doRules(RuleChain.java:145) at

org.tuckey.web filters.urlrewrite.UrIRewriter.processRequest(UrIRewriter.java:92) at
org.tuckey.web.filters.urlrewrite.UrlRewriteFilter.doFilter(UrIRewriteFilter.java:394) at
org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:192) at
org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java: 165) at
org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:198) at
org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:96) at
org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:474) at
org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:140) at
org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:79) at
org.apache.catalina.valves.AbstractAccessLogValve.invoke(AbstractAccessLogValve.java:624) at
org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:87) at
org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:349) at
org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:783) at
org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:66) at
org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:789) at
org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1437) at
org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49) at

java.util.concurrent. ThreadPoolExecutor.runWorker(Unknown Source) at
java.util.concurrent.ThreadPoolExecutor$Worker.run(Unknown Source) at
org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61) at java.lang.Thread.run(Unknown Source)
type Status report

message com.servoy.j2db.ExitScriptException: killing current script, client/solution already terminated at

com.servoy.j2db.scripting.ServoyWrapFactory.wrap(ServoyWrapFactory.java:70) at
org.mozilla.javascript.Context.javaToJS(Context.java:1838) at
net.stuff.servoy.plugin.velocityreport.server.VelocityWebServlet.getParametersMap(VelocityWebServlet.java: 1939) at
net.stuff.servoy.plugin.velocityreport.server.VelocityWebServlet.vrService(VelocityWebServlet.java:622) at
net.stuff.servoy.plugin.velocityreport.server.VelocityWebServlet.doGet(VelocityWebServlet.java:201) at
javax.servlet.http.HttpServlet.service(HttpServlet.java:618) at javax.servlet.http.HttpServlet.service(HttpServlet.java:725) at
com.servoy.j2db.server.serviets.WebServicesServlet.service(WebServicesServlet.java:44) at
javax.servlet.http.HttpServlet.service(HttpServlet.java:725) at
org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:230) at
org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:165) at
com.servoy.j2db.server.ngclient.startup.resourceprovider.ResourceProvider.doFilter(ResourceProvider.java:352) at
org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:192) at
org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:165) at
com.servoy.eclipse.designer.rfb.startup.EditorContentFilter.doFilter(EditorContentFilter.java:165) at
org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:192) at
org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:165) at
org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:52) at
org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:192) at
org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java: 165) at

org.tuckey.web filters.urlrewrite.RuleChain.handleRewrite(RuleChain.java:176) at

org.tuckey.web. filters.urlrewrite.RuleChain.doRules(RuleChain.java:145) at

org.tuckey.web. filters.urlrewrite.UrIRewriter.processRequest(UrIRewriter.java:92) at

org.tuckey.web filters.urlrewrite.UrIRewriteFilter.doFilter(UrIRewriteFilter.java:394) at
org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:192) at
org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:165) at
org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:198) at
org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:96) at
org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:474) at
org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:140) at
org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:79) at
org.apache.catalina.valves.AbstractAccessLogValve.invoke(AbstractAccessLogValve.java:624) at
org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:87) at
org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:349) at
org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:783) at
org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:66) at
org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:789) at
org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java:1437) at
org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49) at

java.util.concurrent. ThreadPoolExecutor.runWorker(Unknown Source) at
java.util.concurrent.ThreadPoolExecutor$Worker.run(Unknown Source) at
org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61) at java.lang.Thread.run(Unknown Source)

description The request sent by the client was syntactically incorrect.

History

#1 - 10/24/2018 04:41 PM - Patrick Talbot

- Status changed from New to Feedback

You don't say what version of Velocity you are using, nor what version of Java and Servoy.
I've seen this bug in earlier version with certain versions of Servoy, but it's been fixed in later ones.

You should try and update to v3.5.59 which is the latest version, see if you still have this exception.
#2 - 11/13/2018 09:56 AM - Gerard Immeker
Hi,

Sorry for my late response.
I'm using the latest version of the plugin and servoy version 8.3.2.3207.

The issue is the same.
Regards,
Gerard

#3 - 11/15/2018 05:05 PM - Patrick Talbot

- Assignee set to Gerard Immeker
Using Servoy 8.3.2 and Java 7 or 8 with the latest Velocity version v3.5.59 | don't get this error at all, and I'm using it in production for a few of my
clients applications, both with templates or as plain web service provider.

So I'm wondering what kind of scripting is involved to get you that kind of behavior.

Would it be possible for you to create a sample solution that reproduces the issue?

#4 - 02/25/2019 09:38 AM - Jeffrey van den Hondel

| think the main problem with this error is that where are using a _base_rest where every form/endpoint is extended from that _base_rest.
Because when this error popup the _base_rest still works.

5f1ec5cbda12e806791027de5e00a75e-full.png
The strange part is when it doens't work and you reboots 3/4 times servoy it magically works.

If you want to have a sample solution i could try to make one.

Velocity version: 8.5.58.
Servoy 8.4.0
Java 8

#5 - 02/28/2019 10:09 PM - Patrick Talbot

Please provide a sample solution that reproduces the issue.
You might also want to update to the latest version of the plugin (as of today v3.5.64)

#6 - 01/08/2020 10:01 AM - Gerard Immeker
- File 2020-01-08_09-45-13.mp4 added

- File listmyfolder.txt added

- File sample_velocity.servoy added

- File stackdump.txt added

Hi Patrick,

Sorry for the late response, but there are only 24 hours in a day.
Currently we use version 3.5.70.
The issue only occours in developer.

We've created a sample solution, this is attached.
It is a weird problem, sometimes it works fine.
Sometimes it won't work at all.

When calling an url like /contacts, there is never a problem.

When we call an url with an extrapath like /contact/C7184A36-ABF7-46A8-BEC5-A321E7F84694 it brakes (sometimes).

When it is broken and we call the url without the extrapath it works.

| also attached a movie with the problem, the list of plugins we use and a stackdump from the servoy admin page. This is when | switch solutions.
But as said, sometimes it doen't work at all.

Oure setting in the config.json is: {
"sample_velocity": {

"type": "session"

}

}

I've you would like to see the issue in action or need more info we could plan a session.
You can contact us via gerard.immeker@autoflex.nl.

Tia.

#7 - 01/09/2020 02:13 AM - Patrick Talbot

Thanks for the solution and info.

I've made a change in how the wrapping of extraPaths is done in version 3.5.71 - please give it a try and let me know if it helps.

Switching solutions will still create problems for velocity, so when you do, make sure you kill the headless client (either in the console or in
servoy-admin) before accessing the newly loaded solution in Servoy.

#8 - 01/09/2020 04:14 PM - Gerard Immeker
Hi Patrick,

Today we have updated the plugin and used it for some time.
The error did sometimes occour, but was better recoverable.

So it works better but still the error did occour.
We wil keep log what happens and will give you more info.
Regards,

Gerard Immeker

#9 - 01/09/2020 09:25 PM - Patrick Talbot

?7? Is that happening when you switch solutions?
Is the error stack trace the same (What line of net.stuff.servoy.plugin.velocityreport.server.VelocityWebServlet is issuing the exception?)

#10 - 01/14/2020 11:15 AM - Gerard Immeker

Yes and no, when switching solution it can happen, but also when normal startup.

HTTP Status 400 - com.servoy.j2db.ExitScriptException: killing current script, client/solution already terminated at
com.servoy.j2db.scripting.ServoyWrapFactory.wrap(ServoyWrapFactory.java:70) at org.mozilla.javascript.Context.javaToJS(Context.java:1838) at
net.stuff.servoy.plugin.velocityreport.server.VelocityWebServlet.getParametersMap(VelocityWebServlet.java:2002) at
net.stuff.servoy.plugin.velocityreport.server.VelocityWebServlet.vrService(VelocityWebServlet.java:683) at
net.stuff.servoy.plugin.velocityreport.server.VelocityWebServlet.doGet(VelocityWebServlet.java:253) at
net.stuff.servoy.plugin.velocityreport.server.VelocityWebServlet.service(VelocityWebServlet.java:198) at
javax.servlet.http.HttpServlet.service(HttpServlet.java:790) at
com.servoy.j2db.server.servlets.WebServicesServlet.service(WebServicesServlet.java:4) at
javax.servlet.http.HttpServlet.service(HttpServlet.java:790) at
org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:230) at
org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:165) at
com.servoy.j2db.server.ngclient.startup.resourceprovider.ResourceProvider.doFilter(ResourceProvider.java:360) at
org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:192) at
org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:165) at
com.servoy.eclipse.designer.rfb.startup.EditorContentFilter.doFilter(EditorContentFilter.java:196) at
org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:192) at
org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:165) at
org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:52) at
org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:192) at
org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:165) at
org.tuckey.web.filters.urlrewrite.RuleChain.handleRewrite(RuleChain.java:176) at

org.tuckey.web filters.urlrewrite.RuleChain.doRules(RuleChain.java:145) at

org.tuckey.web filters.urlrewrite.UrlIRewriter.processRequest(UrIRewriter.java:92) at
org.tuckey.webfilters.urlrewrite.UrlRewriteFilter.doFilter(UrIRewriteFilter.java:394) at
org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:192) at
org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:165) at
org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:198) at
org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:96) at
org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:474) at
org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:140) at
org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:79) at
org.apache.catalina.valves.AbstractAccessLogValve.invoke(AbstractAccessLogValve.java:624) at
org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:87) at
org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:349) at
org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:783) at
org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:66) at
org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:789) at
org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java: 1437) at
org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49) at
java.base/java.util.concurrent. ThreadPoolExecutor.runWorker(Unknown Source) at
java.base/java.util.concurrent. ThreadPoolExecutor$Worker.run(Unknown Source) at
org.apache.tomcat.util.threads. TaskThread$WrappingRunnable.run(TaskThread.java:61) at java.base/java.lang.Thread.run(Unknown Source)
type Status report

message com.servoy.j2db.ExitScriptException: killing current script, client/solution already terminated at
com.servoy.j2db.scripting.ServoyWrapFactory.wrap(ServoyWrapFactory.java:70) at org.mozilla.javascript.Context.javaToJS(Context.java: 1838) at
net.stuff.servoy.plugin.velocityreport.server.VelocityWebServlet.getParametersMap(VelocityWebServlet.java:2002) at
net.stuff.servoy.plugin.velocityreport.server.VelocityWebServlet.vrService(VelocityWebServlet.java:683) at
net.stuff.servoy.plugin.velocityreport.server.VelocityWebServlet.doGet(VelocityWebServlet.java:253) at
net.stuff.servoy.plugin.velocityreport.server.VelocityWebServlet.service(VelocityWebServlet.java:198) at
javax.servlet.http.HttpServlet.service(HttpServlet.java:790) at
com.servoy.j2db.server.servlets.WebServicesServlet.service(WebServicesServlet.java:4) at
javax.servlet.http.HttpServlet.service(HttpServlet.java:790) at
org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:230) at
org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java: 165) at
com.servoy.j2db.server.ngclient.startup.resourceprovider.ResourceProvider.doFilter(ResourceProvider.java:360) at
org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:192) at
org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:165) at
com.servoy.eclipse.designer.rfb.startup.EditorContentFilter.doFilter(EditorContentFilter.java:196) at
org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:192) at
org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java: 165) at
org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:52) at
org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:192) at
org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java: 165) at
org.tuckey.web filters.urlrewrite.RuleChain.handleRewrite(RuleChain.java:176) at

org.tuckey.web filters.urlrewrite.RuleChain.doRules(RuleChain.java:145) at
org.tuckey.web.filters.urlrewrite.UrlRewriter.processRequest(UrIRewriter.java:92) at
org.tuckey.web filters.urlrewrite.UrIRewriteFilter.doFilter(UrlRewriteFilter.java:394) at
org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:192) at
org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java: 165) at
org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java: 198) at
org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:96) at
org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:474) at
org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:140) at
org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:79) at
org.apache.catalina.valves.AbstractAccessLogValve.invoke(AbstractAccessLogValve.java:624) at
org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:87) at
org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:349) at
org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:783) at
org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:66) at
org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:789) at
org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java: 1437) at
org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49) at
java.base/java.util.concurrent. ThreadPoolExecutor.runWorker(Unknown Source) at
java.base/java.util.concurrent. ThreadPoolExecutor$Worker.run(Unknown Source) at
org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61) at java.base/java.lang.Thread.run(Unknown Source)

description The request sent by the client was syntactically incorrect.

Apache Tomcat/8.5.9

#11 - 01/14/2020 07:16 PM - Patrick Talbot

OK, so I've tweaked it so that it doesn't use the ServoyWrapFactory at all now, so it should work fine now.
Get the update v3.5.72 in the Files section and let me know how it goes...

#12 - 01/16/2020 11:29 AM - Gerard Immeker

Now we get the following error:

HTTP Status 400 - java.lang.lllegalArgumentException at org.mozilla.javascript.Context.newArray(Context.java:1694) at
net.stuff.servoy.plugin.velocityreport.util.VelocityWrapFactory.wrap(VelocityWrapFactory.java:109) at
org.mozilla.javascript.Context.javaToJS(Context.java:1838) at
net.stuff.servoy.plugin.velocityreport.server.VelocityWebServlet.getParametersMap(VelocityWebServlet.java:2012) at
net.stuff.servoy.plugin.velocityreport.server.VelocityWebServlet.vrService(VelocityWebServlet.java:686) at
net.stuff.servoy.plugin.velocityreport.server.VelocityWebServlet.doGet(VelocityWebServlet.java:256) at
net.stuff.servoy.plugin.velocityreport.server.VelocityWebServlet.service(VelocityWebServlet.java:201) at
javax.servlet.http.HttpServlet.service(HttpServlet.java:790) at
com.servoy.j2db.server.servlets.WebServicesServlet.service(WebServicesServlet.java:4) at
javax.servlet.http.HttpServlet.service(HttpServlet.java:790) at
org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:230) at
org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java: 165) at
com.servoy.j2db.server.ngclient.startup.resourceprovider.ResourceProvider.doFilter(ResourceProvider.java:360) at
org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:192) at
org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:165) at
com.servoy.eclipse.designer.rfb.startup.EditorContentFilter.doFilter(EditorContentFilter.java:196) at
org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:192) at
org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:165) at
org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:52) at
org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:192) at
org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:165) at
org.tuckey.webfilters.urlrewrite.RuleChain.handleRewrite(RuleChain.java:176) at
org.tuckey.web.filters.urlrewrite.RuleChain.doRules(RuleChain.java:145) at

org.tuckey.web filters.urlrewrite.UrlRewriter.processRequest(UrIRewriter.java:92) at

org.tuckey.web filters.urlrewrite.UrIRewriteFilter.doFilter(UrlIRewriteFilter.java:394) at
org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:192) at
org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:165) at
org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:198) at
org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:96) at
org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:474) at
org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:140) at
org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:79) at
org.apache.catalina.valves.AbstractAccessLogValve.invoke(AbstractAccessLogValve.java:624) at
org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:87) at
org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:349) at
org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:783) at
org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:66) at
org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:789) at
org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java: 1437) at
org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49) at
java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149) at
java.util.concurrent. ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624) at
org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61) at java.lang.Thread.run(Thread.java:748)
type Status report

message java.lang.lllegalArgumentException at org.mozilla.javascript.Context.newArray(Context.java:1694) at
net.stuff.servoy.plugin.velocityreport.util.VelocityWrapFactory.wrap(VelocityWrapFactory.java:109) at
org.mozilla.javascript.Context.javaToJS(Context.java:1838) at
net.stuff.servoy.plugin.velocityreport.server.VelocityWebServlet.getParametersMap(VelocityWebServlet.java:2012) at
net.stuff.servoy.plugin.velocityreport.server.VelocityWebServlet.vrService(VelocityWebServlet.java:686) at
net.stuff.servoy.plugin.velocityreport.server.VelocityWebServlet.doGet(VelocityWebServlet.java:256) at
net.stuff.servoy.plugin.velocityreport.server.VelocityWebServlet.service(VelocityWebServlet.java:201) at
javax.servlet.http.HttpServlet.service(HttpServlet.java:790) at
com.servoy.j2db.server.servlets.WebServicesServlet.service(WebServicesServlet.java:4) at
javax.servlet.http.HttpServlet.service(HttpServlet.java:790) at
org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:230) at
org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:165) at
com.servoy.j2db.server.ngclient.startup.resourceprovider.ResourceProvider.doFilter(ResourceProvider.java:360) at
org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:192) at
org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:165) at
com.servoy.eclipse.designer.rfb.startup.EditorContentFilter.doFilter(EditorContentFilter.java:196) at
org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:192) at
org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:165) at
org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:52) at
org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:192) at
org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:165) at
org.tuckey.web.filters.urlrewrite.RuleChain.handleRewrite(RuleChain.java:176) at

org.tuckey.web filters.urlrewrite.RuleChain.doRules(RuleChain.java:145) at

org.tuckey.web filters.urlrewrite.UrlIRewriter.processRequest(UrIRewriter.java:92) at

org.tuckey.web filters.urlrewrite.UrlRewriteFilter.doFilter(UrIRewriteFilter.java:394) at
org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:192) at
org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:165) at
org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java: 198) at
org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:96) at
org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:474) at
org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:140) at
org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:79) at
org.apache.catalina.valves.AbstractAccessLogValve.invoke(AbstractAccessLogValve.java:624) at
org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:87) at
org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:349) at
org.apache.coyote.http11.Http11Processor.service(Http11Processor.java:783) at
org.apache.coyote.AbstractProcessorLight.process(AbstractProcessorLight.java:66) at
org.apache.coyote.AbstractProtocol$ConnectionHandler.process(AbstractProtocol.java:789) at
org.apache.tomcat.util.net.NioEndpoint$SocketProcessor.doRun(NioEndpoint.java: 1437) at
org.apache.tomcat.util.net.SocketProcessorBase.run(SocketProcessorBase.java:49) at
java.util.concurrent. ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149) at
java.util.concurrent. ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624) at
org.apache.tomcat.util.threads. TaskThread$WrappingRunnable.run(TaskThread.java:61) at java.lang.Thread.run(Thread.java:748)
description The request sent by the client was syntactically incorrect.

Apache Tomcat/8.5.9

#13 - 01/17/2020 06:36 PM - Patrick Talbot

OK, sorry about that, it's a bit hard to fix when I'm unable to reproduce. Based on your log though, | have made a change that will fix this new
Exception. Try v3.5.73 and let me know. Thanks!

#14 - 01/18/2020 01:45 PM - Gerard Immeker
Hi Patrick,

Thanks for the fast response.
Works fine on my laptop.

Wil ask my colleagues monday to test it also.
Regards,

Gerard

#15 - 01/23/2020 01:40 PM - Gerard Immeker
Hi Patrick,

We didn't encounter any problems this week, so thank you for the solution.
Regards,

Gerard Immeker

#16 - 01/23/2020 05:29 PM - Patrick Talbot

- Status changed from Feedback to Resolved
OK, great! Thanks for reporting, Gerard!

#17 - 01/28/2020 12:52 PM - Gerard Immeker
Hi Patrick,

The issue is resolved.

To thank you for your effort we would like to donate some cash.
I've searched the site but could not find any donation button.

How can we donate?
regards,
Gerard Immeker

#18 - 01/28/2020 04:58 PM - Patrick Talbot

Thanks Gerard, that's nice of you!

There used to be a donation plugin/button on the side bar but we've lost it with our recent migration of ServoyForge to a new server... i(
I'll see if we can put it back. In the meantime, you can donate via Paypal to ptalbot@free.fr
